<?php

if (! function_exists('dastomize_is_connected_store')) {
    function dastomize_is_connected_store()
    {
        return get_option('settings_page_app_store') && get_option('settings_page_api_token');
    }
}

if (! function_exists('dastomize_connect_store_url')) {
    function dastomize_connect_store_url()
    {
        return 'https://app.dastomize.com/stores';
    }
}

if (! function_exists('dastomize_register_url')) {
    function dastomize_register_url()
    {
        return 'https://app.dastomize.com/register';
    }
}


if (! function_exists('dastomize_has_ecommerce_plugin')) {
    function dastomize_woocommerce_active()
    {
        include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
        return is_plugin_active('woocommerce/woocommerce.php');
    }
}

if (! function_exists('dastomize_env')) {
    function dastomize_env($string, $default = '')
    {
        if (defined($string)) {
            return constant($string);
        }
        $data = getenv($string);
        if (!$data) {
            return $default;
        }

        return $data;
    }
}

if (! function_exists('dastomize_make_list')) {
    function dastomize_make_list($data)
    {
        $lists = [];
        foreach($data as $item) {
            $lists[$item['id']] = $item['name'];
        }
        
        return $lists;
    }
}


if ( ! function_exists('dastomize_write_log_error')) {
    function dastomize_write_log_error ( $log )  {
        $logger = wc_get_logger();
        if ( is_array( $log ) || is_object( $log ) ) {
            $logger->error( wc_print_r( $log, true ), array('source' => 'dastomize-error'));
        } else {
            $logger->error( $log, array('source' => 'dastomize-error'));
        }
    }
 }