<?php
$appName = strtoupper(dastomize_env('DAST_APP_NAME', 'dastomize'));
$webURL = DASTOMIZE_APP_URL;
$link = sprintf($webURL . DASTOMIZE_APP_CONNECT_STORE, urlencode(get_site_url()), urlencode(get_bloginfo( 'name' )));
$appNameLower = strtolower(dastomize_env('DAST_APP_NAME', 'dastomize'));
$imgUrl = DASTOMIZE_URL . '/assets/images/' . $appNameLower . '-integration.png';
$congratulationImgUrl = DASTOMIZE_URL . '/assets/images/' . $appNameLower . '-congratulation.png';
$notConnectImgUrl = DASTOMIZE_URL . '/assets/images/' . $appNameLower . '-connect.png';
$isConnected = dastomize_is_connected_store();
$registerLink = DASTOMIZE_APP_REGISTER;
?>

<style>
.d-link {
    color: #2271b1 !important;
}

.d-link:hover {
    color: #2271b1 !important;
}

.d-button-link {
    display: inline-block;
    padding: 16px;
    border: 2px solid #12cdd4;
    border-radius: 8px;
    text-decoration: none;
    color: #12cdd4;
    font-size: 18px;
}

.d-button-link:hover {
    background-color: #12cdd4;
    color: #fff;
    transition: background 1.5s ease-out;
}
</style>

<div style="padding:10px;background:#FFF;">
<div style="width:100%;text-align:center;padding: 10px 0 30px;">
    <!-- <img alt="<?php echo esc_html($appName); ?> Integration for WooCommerce" src="<?php echo esc_url($imgUrl); ?>" style="max-width:380px;"> -->

    <?php if ($isConnected): ?>
    <div>
        <div><img alt="You've successfully integrated Dastomize with your WooCommerce store." src="<?php echo esc_url($congratulationImgUrl); ?>" style="max-width: 50%;"></div>
        <h1 style="color: #12cdd4; margin: 24px 0;">Congratulations!</h1>
        <p style="font-size: 16px; margin-bottom:24px;">You've successfully integrated Dastomize with your WooCommerce store.</p>
        <div><a class="d-button-link" href="https://app.dastomize.com" target="_blank" rel="noopener noreferrer">Open Dastomize App</a></div>
    </div>
    <?php endif; ?>

    <?php if (!$isConnected): ?>
    <div>
        <div><img alt="You've not connect to Dastomize" src="<?php echo esc_url($notConnectImgUrl); ?>" style="max-width: 50%;"></div>
        <p style="font-size: 16px; margin-bottom:24px;">To finish connecting your WooCommerce store to Dastomize, click the button below.<br/>Please read the integration instructions <a class="d-link" href="https://support.dastomize.com/en/article/dastomize-integrations-part-1-set-up-woocommerce-store-18pyc4l/?bust=1648524049137" target="_blank" rel="noopener noreferrer" style="text-decoration: none;color: #000;font-weight: bold;">here</a>.</p>
        <p style="font-size: 14px; margin-bottom:24px;">** Please note that you must have a Dastomize account and log in in advance in order to connect successfully. <br />Register your Dastomize account <a class="d-link" href="<?php echo esc_url($registerLink); ?>" target="_blank" rel="noopener noreferrer" style="text-decoration: none;color: #000;font-weight: bold;">here</a>!</p>
        <div><a class="d-button-link" href="<?php echo esc_url($link); ?>" target="_blank" rel="noopener noreferrer">Connect to Dastomize</a></div>
    </div>
    <?php endif; ?>
</div>
</div>
