<?php
$logo = DASTOMIZE_URL . '/assets/images/logo-dastomize.png';
$appName = strtoupper(dastomize_env('DAST_APP_NAME', 'dastomize'));
$appNameLower = strtolower(dastomize_env('DAST_APP_NAME', 'dastomize'));
$imgUrl = DASTOMIZE_URL . '/assets/images/' . $appNameLower . '-integration.png';
$supportIcon = DASTOMIZE_URL . '/assets/images/support-icon.png';
$iconsUrl = DASTOMIZE_URL . '/assets/images/icons-';
$iconFacebook = $iconsUrl . 'facebook.png';
$iconTwitter = $iconsUrl . 'twitter.png';
$iconLinkedin = $iconsUrl . 'linkedin.png';
$iconYoutube = $iconsUrl . 'youtube.png';
$iconChevronRight = $iconsUrl . 'chevron-right.png';
$iconMaintenance = $iconsUrl . 'maintenance.png';
?>
<style>
.text-center {
    text-align: center;
}

.text-left {
    text-align: left;
}

.m-0 {
    margin: 0 !important;
}

.mt-0 {
    margin-top: 0 !important;
}

.mb-0 {
    margin-bottom: 0 !important;
}

.d-flex {
    display: flex !important;
}

.justity-between {
    justify-content: space-between;
}

.justity-around {
    justify-content: space-around;
}

.align-center {
    align-items: center;
}

.underline-no {
    text-decoration: none;
}

h1.heading {
    display: block !important;
}

h1.heading,
.icon {
    margin: 24px 0;
}

h1.heading .logo {
    max-width: 300px;
}

.icon .support-icon {
    max-width: 60px;
}

.container {
    flex-wrap: wrap;
    max-width: 95%;
    margin: 0 auto;
}

@media (min-width: 768px) {
    .container {
        max-width: 80%;
    }
}

@media (min-width: 992px) {
    .container {
        max-width: 58%;
    }
}

@media (min-width: 1200px) {
    .container {
        max-width: 58%;
    }
}

.container .d-item {
    width: 48%;
}

.d-card {
    padding: 16px 18px;
    border: 1px solid #12cdd4;
    border-radius: 4px;
    box-sizing: border-box;
    background-color: #fff;
    margin-top: 32px;
}

.d-card .btn {
    color: #fff;
    background-color: #12cdd4;
    border-radius: 30px;
    padding: 16px;
    text-decoration: none;
    display: inline-block;
}

.list .item {
    margin-bottom: 21px;
}

.list .item a {
    display: block;
    margin-left: 16px;
    font-size: 16px;
    color: #000;
    /* font-weight: bolder; */
}

.list .item a:hover {
    color: #12cdd4;
}

.list .item a:hover img {
    filter: invert(78%) sepia(32%) saturate(2163%) hue-rotate(126deg) brightness(88%) contrast(87%);
}

.list .item a img {
    margin-left: 8px;
}
</style>
<div>
    <h1 class="heading text-center">
        <img class="logo" src="<?php echo esc_url($imgUrl); ?>" alt="<?php echo esc_html($appName); ?>" style="max-width:380px;">
    </h1>
    <div class="icon text-center">
        <img class="support-icon" src="<?php echo $supportIcon ?>" alt="support logo">
    </div>

    <div class="container d-flex justity-between">
        <div class="d-item d-card">
            <h3 class="text-center mt-0">Dedicated Customer Service</h3>
            <div class="description text-center">
                <p style="font-size: 16px;">Our Customer Success Team is here to support you to the fullest on your journey with us.</p>
            </div>
            <div class="text-center">
                <a target="_blank" rel="noopener noreferrer" href="https://www.dastomize.com/contact/" class="btn">Contact Support</a>
            </div>
        </div>

        <div class="d-item d-card">
            <h3 class="text-center mt-0">Check out our Help Center</h3>
            <div class="description text-left">
                <p style="font-size: 16px;">Are you having trouble using the app? Please visit our Help Center to learn more.</p>
            </div>
            <div class="text-center">
                <a target="_blank" rel="noopener noreferrer" href="https://support.dastomize.com/" class="btn">Visit Help Center</a>
            </div>
        </div>

        <div class="d-item">
            <div class="d-card">
                <h3 class="text-center mt-0">Have any questions?</h3>

                <div class="text-center d-flex justity-around">
                    <div>
                        <p class="text-center" style="font-size: 16px;">Dastomize FAQs</p>
                        <a target="_blank" rel="noopener noreferrer" href="https://www.dastomize.com/#dastomize-faqs" class="btn">Read more</a>
                    </div>
                    <div>
                        <p class="text-center" style="font-size: 16px;">Pricing FAQs</p>
                        <a target="_blank" rel="noopener noreferrer" href="https://www.dastomize.com/pricing/#pricing-faqs" class="btn">Read more</a>
                    </div>
                </div>
            </div>

            <div class="d-card" style="padding: 26px 18px;">
                <ul class="list m-0">
                    <li class="item mb-0 d-flex align-center facebook">
                        <img src="<?php echo $iconMaintenance ?>" alt="icon maintenance" width="35">
                        <a class="underline-no d-flex align-center" href="https://updates.dastomize.com" target="_blank" rel="noopener noreferrer">Product Updates, Feature Requests & Bug Fixes <img src="<?php echo $iconChevronRight ?>" alt="icons chevron right" width="20"></a>
                    </li>
                </ul>
            </div>
        </div>

        <div class="d-item align-center d-card">
            <ul class="list m-0">
                <li class="item d-flex align-center facebook">
                    <img src="<?php echo $iconFacebook ?>" alt="icon facebook" width="35">
                    <a class="underline-no d-flex align-center" href="https://www.facebook.com/groups/dastomize" target="_blank" rel="noopener noreferrer">Join the Dastomize community <img src="<?php echo $iconChevronRight ?>" alt="icons chevron right" width="20"></a>
                </li>
                <li class="item d-flex align-center facebook">
                    <img src="<?php echo $iconFacebook ?>" alt="icon facebook" width="35">
                    <a class="underline-no d-flex align-center" href="https://www.facebook.com/Dastomize/" target="_blank" rel="noopener noreferrer">Follow our Facebook page <img src="<?php echo $iconChevronRight ?>" alt="icons chevron right" width="20"></a>
                </li>
                <li class="item d-flex align-center twitter">
                    <img src="<?php echo $iconTwitter ?>" alt="icon twitter" width="35">
                    <a class="underline-no d-flex align-center" href="https://twitter.com/Dastomize" target="_blank" rel="noopener noreferrer">Follow us on Twitter <img src="<?php echo $iconChevronRight ?>" alt="icons chevron right" width="20"></a>
                </li>
                <li class="item d-flex align-center linkedin">
                    <img src="<?php echo $iconLinkedin ?>" alt="icon linkedin" width="35">
                    <a class="underline-no d-flex align-center" href="https://www.linkedin.com/company/dastomize" target="_blank" rel="noopener noreferrer">Keep up with us on LinkedIn <img src="<?php echo $iconChevronRight ?>" alt="icons chevron right" width="20"></a>
                </li>
                <li class="item d-flex align-center mb-0 youtube">
                    <img src="<?php echo $iconYoutube ?>" alt="icon youtube" width="35">
                    <a class="underline-no d-flex align-center" href="https://www.youtube.com/channel/UCa6nkS9YJkfVWqhnaSx_Img" target="_blank" rel="noopener noreferrer">Subscribe to our Youtube channel <img src="<?php echo $iconChevronRight ?>" alt="icons chevron right" width="20"></a>
                </li>
            </ul>
        </div>
    </div>
</div>
