<?php

add_action( 'admin_notices', 'dastomize_store_connect_notice' );
function dastomize_store_connect_notice()
{
    if (!dastomize_is_connected_store()) {
        $pluginUrl = admin_url( "admin.php?page=dastomize-apps-menu" );
        $notice = '<strong>Hooray, Dastomize is installed successfully!</strong> Click <a href="'.$pluginUrl.'">here</a> to connect to your Dastomize account. If you don\'t have a Dastomize account, <a target="_blank" rel="noopener noreferrer" href="'.dastomize_register_url().'">get one for free.</a>';
        $xButton = '<button type="button" id="dastomize-notice-dismiss" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button>';
        echo('<div id="dastomize-notice-101" class="notice" style="border-left: 1px solid #00C5B6;border-left-width: 4px;position:relative;"><p>'.$notice.'</p>' . $xButton . '</div>');
    }
}

add_action( 'admin_print_scripts', function() {
    if (!dastomize_is_connected_store()) {
    echo <<<'EOT'
<script type="text/javascript">
jQuery(function($){
    jQuery("button#dastomize-notice-dismiss").click(function () {
        jQuery("button#dastomize-notice-dismiss").closest("#dastomize-notice-101").fadeOut("slow", function () {
            $(this).remove();
        });
    });
});
</script>
EOT;
    }
}, PHP_INT_MAX );