<?php
if (!defined('ABSPATH')) {
    exit;
}
// Exit if accessed directly.

add_action('send_headers', 'dastomize_send_frame_options_header', 10, 0);
function dastomize_send_frame_options_header()
{
	$iframeUrl = DASTOMIZE_IFRAME_URL;

	if (dastomize_woocommerce_active() && is_product()) {
		@header('X-Frame-Options: ' . $iframeUrl);
	}
}

add_action('wp_enqueue_scripts', 'dastomize_enqueue_scripts');
function dastomize_enqueue_scripts() {
	if (dastomize_woocommerce_active()) {
		$appName = dastomize_env('DAST_APP_NAME', 'dastomize');

		wp_enqueue_style('dastomize_custom_attribute_css', DASTOMIZE_URL . 'assets/css/custom_attribute.css', array(), date('YmdHi'));
		wp_enqueue_script('dastomize_custom_attribute_js', DASTOMIZE_URL . 'assets/custom_attribute.js', array('jquery'), date('YmdH'), true );

		if (is_cart() || is_checkout()) {
			wp_enqueue_script('fancybox3', DASTOMIZE_URL . 'assets/plugins/fancybox-3.5.7/jquery.fancybox.min.js', array('jquery'), '3.5.7', true );
			wp_enqueue_style('fancybox3', DASTOMIZE_URL . 'assets/plugins/fancybox-3.5.7/jquery.fancybox.min.css', array(), '3.5.7');

			wp_enqueue_script('dastomize_script_doa', DASTOMIZE_URL . 'assets/script_woo.js', array('jquery'), date('YmdH'), true );
			wp_enqueue_script('dastomize_script_doa_storage', DASTOMIZE_URL . 'assets/index_db.js', array('jquery'), date('YmdH'), true );
			wp_enqueue_style('dastomize_css', DASTOMIZE_URL . 'assets/css/personalized.css', array(), date('YmdHi'));
		} else {
			wp_enqueue_style('dastomize_css', DASTOMIZE_URL . 'assets/css/personalized_all.css', array(), date('YmdHi'));
		}

		if (is_product()) {
			$allowCustomize = get_post_meta(get_the_ID(), 'cubebik_allow_customize', true) == 'yes';
			if ($allowCustomize) {
				wp_enqueue_script('dastomize_fancybox3', DASTOMIZE_URL . 'assets/plugins/fancybox-3.5.7/jquery.fancybox.min.js', array('jquery'), '3.5.7', true );
				wp_enqueue_style('dastomize_fancybox3', DASTOMIZE_URL . 'assets/plugins/fancybox-3.5.7/jquery.fancybox.min.css', array(), '3.5.7');

				wp_enqueue_script('dastomize_jquery-ui', DASTOMIZE_URL . 'assets/plugins/jquery-ui/jquery-ui.min.js', array('jquery'), '1.12.1', true );
				wp_enqueue_style('dastomize_jquery-ui', DASTOMIZE_URL . 'assets/plugins/jquery-ui/jquery-ui.min.css', array(), '1.12.1');

				wp_enqueue_script('dastomize_script_doa', DASTOMIZE_URL . 'assets/script_woo.js', array('jquery'), date('YmdH'), true );
				wp_enqueue_script('dastomize_script_doa_storage', DASTOMIZE_URL . 'assets/index_db.js', array('jquery'), date('YmdH'), true );
				wp_enqueue_style('dastomize_img_editor', DASTOMIZE_URL . 'assets/css/img_editor_'. $appName .'.css', array(), date('YmdHis'));

				$previewSetting = get_post_meta(get_the_ID(), 'cubebik_preview_settings', true);
				$directPreviewSettings = in_array($previewSetting, ['direct', 'direct_no_live']);
				if ($directPreviewSettings) {
					wp_enqueue_script('dastomize_vuejs', DASTOMIZE_URL . 'ui/dist/js/app.js', array('jquery'), date('YmdHis'), true);
					wp_enqueue_script('dastomize_vuejs_chunk', DASTOMIZE_URL . 'ui/dist/js/chunk-vendors.js', array('jquery'), date('YmdHis'), true);
				}
			}
		}
	}
}

add_action('wp_footer', 'dastomize_js_footer');
function dastomize_js_footer()
{
    if (dastomize_woocommerce_active() && is_product()) {
        global $product;

		$iframeUrl = DASTOMIZE_IFRAME_URL;
		require_once realpath(dirname(__FILE__)) . '/../services/product_settings.php';
		$sid = get_option('settings_page_app_store');
		$settings = dastomize_get_product_settings($sid, 'product_page');
		echo dastomize_get_button($settings, 'dastomize_button_id_preview_your_personalization');
		$textPersonalization = dastomize_get_button_text($settings, 'dastomize_button_id_preview_your_personalization');

        ?>
		<script>jQuery(function($){
			if (window.addEventListener) {
				window.addEventListener("message", handleMessage, false);
			} else {
				window.attachEvent("onmessage", handleMessage);
			}
			function handleMessage(e) {
				if (e.origin === "<?php echo esc_url($iframeUrl); ?>" && typeof(e.data.json) !== "undefined") {
					var windowsize = jQuery(window).width();
					var json = e.data.json;
					var previewUrl = e.data.preview;

					saveIndexedDB(`pId:<?php echo esc_html($product->get_id()); ?>:image`, JSON.stringify(e.data), 'personalizedIndex');
					localStorage.setItem(`pId:<?php echo esc_html($product->get_id()); ?>:image:finished`, true);
					jQuery.fancybox.close();

					const tagA = `<a id="previewImg" class="dastomize_button_id_preview_your_personalization"><?php echo $textPersonalization ? $textPersonalization : "Preview Your Personalization"; ?></a>`;

					jQuery("button.single_add_to_cart_button, div.wcppec-checkout-buttons, div.single-product-countdown").show();
					jQuery("a#previewImg").remove();
					jQuery(tagA).insertBefore("a#btnPersonalize");
					jQuery("a#btnPersonalize").text('EDIT DESIGN');
                    jQuery("a#btnPersonalize").addClass('edit-design');
                    jQuery("button.single_add_to_cart_button").addClass('edit-design');
                    jQuery("button.single_add_to_cart_button").addClass('margin-left-50');

                    jQuery("input#personalized-preview").val(previewUrl);
					jQuery("input#personalized-json").val(json);
					var src = jQuery("a#btnPersonalize").data('src');
					jQuery("a#btnPersonalize").data('src', src);
					setTimeout(function(){
						// jQuery("a#previewImg").trigger("click");
						dastomize_modal_preview_Image(previewUrl)
					}, 1000);
					//check custom attribute
					var _dataCustomAttributeBefore = localStorage.getItem('custom-attributes-selected');
					var _dataCustomAttributeCurrent = jQuery("input#personalized-custom-variant").val();

					if (_dataCustomAttributeBefore != _dataCustomAttributeCurrent) {
						jQuery("a#btnPersonalize").text('PERSONALIZE');
						jQuery("a#btnPersonalize").removeClass('edit-design');
						jQuery("button.single_add_to_cart_button").removeClass('edit-design');
						jQuery("button.single_add_to_cart_button").removeClass('margin-left-50');
						jQuery("button.single_add_to_cart_button, div.wcppec-checkout-buttons").hide();
						jQuery("#wc-stripe-payment-request-wrapper, #wc-stripe-payment-request-button-separator").hide();
						jQuery("a#previewImg").hide();
					}

					document.getElementById('previewImg').addEventListener('click', () => {
						dastomize_modal_preview_Image(previewUrl)
					})

					dastomize_style_personalize_button(windowsize);
					dastomize_style_preview_your_personalization(windowsize)
				}
			}

		});
		</script>
<?php
	}
}

add_action('woocommerce_before_single_variation', 'dastomize_woocommerce_before_single_variation_custom_attribute', 0);
function dastomize_woocommerce_before_single_variation_custom_attribute() {
  global $product;

  $allowCustomize = get_post_meta($product->get_id(), 'cubebik_allow_customize', true) == 'yes';

  $allowCustomVariant = get_post_meta($product->get_id(), 'cubebik_allow_custom_variant', true) == 'yes';
  $pid = get_post_meta($product->get_id(), 'cubebik_app_product_id', true);
  $sid = get_option('settings_page_app_store');

  if ($allowCustomize) {
	$previewSetting = get_post_meta($product->get_id(), 'cubebik_preview_settings', true);
	$directPreviewSettings = in_array($previewSetting, ['direct', 'direct_no_live']);  
	if ($allowCustomVariant && !$directPreviewSettings) {
		require_once realpath(dirname(__FILE__)) . '/../services/product_custom_attribute.php';
		$dataCustomAttrs = dastomize_get_product_custom_attributes($sid, $pid);
		if ($dataCustomAttrs && count($dataCustomAttrs) > 0 ) {
		  echo '<div class="custom-variation-add-to-cart mb-2">';
		  echo dastomize_render_custom_attributes_html($dataCustomAttrs);
		  echo '</div>';
		}
	}
    if ($directPreviewSettings) {
        $env = dastomize_env('DAST_APP_ENV', 'prod');

		$iframeUrl = DASTOMIZE_IFRAME_URL;

		$iframeRouteApi = $iframeUrl . '/api/v1';

		if (dastomize_env('STORAGE_DEFAULT', 's3') === 'gcs') {
			$cdn = dastomize_env('GCS_ORIGINAL_URL', 'https://cdn.cubebik.com/');
		} elseif (dastomize_env('STORAGE_DEFAULT', 's3') === 's3') {
			$cdn = dastomize_env('S3_ORIGINAL_URL', 'https://s3.us-east-1.amazonaws.com/assets.dastomize.com/');
		}

		$isSimpleProduct = (int)$product->is_type('simple');
		$apiToken = get_option('settings_page_api_token');
		echo "<div id='app-data' 
				data-preview='$previewSetting'
				data-sid='$sid' 
				data-pid='$pid' 
				data-simple='$isSimpleProduct' 
				data-cdn='$cdn'
				data-env='$env'
				data-route='$iframeRouteApi' 
				data-token='$apiToken' 
				style='display: none;'></div>";
		echo "<div id='app'></div>";
	}
  }
}

add_action('woocommerce_before_add_to_cart_button', 'dastomize_additional_single_product_button', 20);
function dastomize_additional_single_product_button()
{
    global $product;

	$iframeUrl = DASTOMIZE_IFRAME_URL;
	$apiToken = get_option('settings_page_api_token');
    $allowCustomize = get_post_meta($product->get_id(), 'cubebik_allow_customize', true) == 'yes';

    $pid = get_post_meta($product->get_id(), 'cubebik_app_product_id', true);
    $sid = get_option('settings_page_app_store');
	$siteUrl = get_site_url();

    $length = 16;
    $random = substr(str_shuffle(str_repeat($x = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', ceil($length / strlen($x)))), 1, $length);
    $strId = base64_encode($pid . ',' . $sid . ',' . $siteUrl) . $random;
    $url = $iframeUrl . '/iframe/' . $strId . '?token=' . base64_encode($apiToken);
	$isSimpleProduct = (int)$product->is_type( 'simple' );

    if ($allowCustomize) {
		$previewSetting = get_post_meta($product->get_id(), 'cubebik_preview_settings', true);
		$directPreviewSettings = in_array($previewSetting, ['direct', 'direct_no_live']);
		if (!$directPreviewSettings) {
			$allowCustomVariant = get_post_meta($product->get_id(), 'cubebik_allow_custom_variant', true) == 'yes';


			$isVariableProduct = (int)$product->is_type( 'variable' );
			require_once realpath(dirname(__FILE__)) . '/../services/product_settings.php';
			$settings = dastomize_get_product_settings($sid, 'product_page');
			echo dastomize_get_button($settings, 'dastomize_button_id_personalize');
			$textButtonPersonalize = dastomize_get_button_text($settings, 'dastomize_button_id_personalize');
			echo '<script>jQuery(function($){
				dastomize_js_additional_single_product_button(`'.$url.'`, ' . $pid . ', ' . $sid . ', ' . $product->get_id() . ', `' . $iframeUrl . '`, `'.$allowCustomVariant . '`, `'.$textButtonPersonalize. '`, '.$isSimpleProduct.');
			});</script>';
		}

		if ($isSimpleProduct && $directPreviewSettings) {
			$env = dastomize_env('DAST_APP_ENV', 'prod');

			$iframeUrl = DASTOMIZE_IFRAME_URL;

			$iframeRouteApi = $iframeUrl . '/api/v1';

			if (dastomize_env('STORAGE_DEFAULT', 's3') === 'gcs') {
				$cdn = dastomize_env('GCS_ORIGINAL_URL', 'https://cdn.cubebik.com/');
			} elseif (dastomize_env('STORAGE_DEFAULT', 's3') === 's3') {
				$cdn = dastomize_env('S3_ORIGINAL_URL', 'https://s3.us-east-1.amazonaws.com/assets.dastomize.com/');
			}

			$apiToken = get_option('settings_page_api_token');
			echo "<div id='app-data' data-preview='$previewSetting' data-sid='$sid' data-pid='$pid' data-simple='$isSimpleProduct' data-cdn='$cdn' data-env='$env' data-route='$iframeRouteApi' data-token='$apiToken' style='display: none;'></div>";
			echo "<div id='app'></div>";
		}
    }
}

add_action('woocommerce_after_single_product', 'dastomize_woocommerce_after_single_product', 99999, 0);
function dastomize_woocommerce_after_single_product()
{
    global $product;

	$productId = $product->get_id();
	$allowCustomize = get_post_meta($product->get_id(), 'cubebik_allow_customize', true) == 'yes';
	require_once realpath(dirname(__FILE__)) . '/../services/product_settings.php';
	$sid = get_option('settings_page_app_store');
	$settings = dastomize_get_product_settings($sid, 'product_page');
	echo dastomize_get_button($settings, 'dastomize_button_id_preview_your_personalization');
	$textPersonalization = dastomize_get_button_text($settings, 'dastomize_button_id_preview_your_personalization');

    if ($allowCustomize) {
		echo "<script>jQuery(function($){
				dastomize_js_action_woocommerce_after_single_product($productId, `$textPersonalization`);
		});</script>";
	}
}

function dastomize_hide_name_in_cart_checkout()
{
	echo '<script>jQuery(function($){
		dastomize_js_plugin_personalized_hide_name_in_cart_checkout();
	});</script>';
}
add_filter('woocommerce_after_cart', 'dastomize_hide_name_in_cart_checkout', 10, 2);
add_filter('woocommerce_review_order_after_cart_contents', 'dastomize_hide_name_in_cart_checkout', 10, 2);

/**
 * Add custom cart item data
 */
function dastomize_add_cart_item_data($cart_item_data, $product_id, $variation_id)
{
	require_once realpath(dirname(__FILE__)) . '/../services/s3.php';
	if (isset($_POST['personalized-store-id'])) {
        $cart_item_data['personalized_store'] = sanitize_text_field($_POST['personalized-store-id']);
	}
	if (isset($_POST['personalized-product-id'])) {
        $cart_item_data['personalized_product'] = sanitize_text_field($_POST['personalized-product-id']);
	}
	if (isset($_POST['personalized-custom-variant'])) {
    	$cart_item_data['personalized_custom_variant'] = sanitize_text_field($_POST['personalized-custom-variant']);
  	}
	if (isset($_POST['personalized-json'])) {
        $json = sanitize_text_field($_POST['personalized-json']);

		if (isset($cart_item_data['personalized_store']) && isset($cart_item_data['personalized_product'])) {
			$storeId = (int) $cart_item_data['personalized_store'];
			$productId = (int) $cart_item_data['personalized_product'];
		}

		$json = stripslashes($json);
		$cart_item_data['personalized_json_url'] = dastomize_s3_upload_json($storeId, $productId, $json);
	}

	if (isset($_POST['personalized-preview'])) {
		if (isset($cart_item_data['personalized_store']) && isset($cart_item_data['personalized_product'])) {
			$storeId = (int) $cart_item_data['personalized_store'];
			$productId = (int) $cart_item_data['personalized_product'];
		}
        $preview = sanitize_text_field($_POST['personalized-preview']);
		$cart_item_data['personalized_preview_url'] = dastomize_s3_upload_image_preview($storeId, $productId, $preview);
	}

	$showPersonalizedInfo = get_post_meta($product_id, 'cubebik_show_personalized_info', true) == 'yes';
	if ($showPersonalizedInfo) {
		if (isset($_POST['personalized-kv'])) {
			$json = sanitize_text_field($_POST['personalized-kv']);
			$json = stripslashes($json);
			$cart_item_data['personalized_kv'] = $json;
		}
	}
	
    return $cart_item_data;
}
add_filter('woocommerce_add_cart_item_data', 'dastomize_add_cart_item_data', 10, 3);

// define the woocommerce_cart_item_removed callback
function dastomize_woocommerce_remove_cart_item( $cart_item_key, $cart ) {
	if (dastomize_env('STORAGE_DEFAULT') === 'gcs') {
		require_once realpath(dirname(__FILE__)) . '/../services/gcloud-storage.php';
	}

    if (isset($cart->cart_contents[ $cart_item_key ]['personalized_preview_url'])) {
		$personalized_preview_url = $cart->cart_contents[ $cart_item_key ]['personalized_preview_url'];
		if (dastomize_env('STORAGE_DEFAULT') === 'gcs') {
			dastomize_remove_image_preview($personalized_preview_url);
		}
	}
};

// add the action
add_action( 'woocommerce_remove_cart_item', 'dastomize_woocommerce_remove_cart_item', 10, 2 );

/**
 * Display custom item data in the cart
 */
function dastomize_get_item_data($item_data, $cart_item_data)
{
    if (isset($cart_item_data['personalized_preview_url'])) {
		$preview = $cart_item_data['personalized_preview_url'];
		$tagA = '<a id="previewImg" href="' . $preview . '" data-fancybox="images">View Personalization</a>';
        $item_data[] = [
            'key' => __('View Personalized', 'plugin-personalized'),
			'value' => $preview,
			'display' => $tagA
		];
	}

	if (isset($cart_item_data['personalized_kv'])) {
		$keyvalueLists = json_decode($cart_item_data['personalized_kv']);
		// var_dump($keyvalueLists);exit;
		if (!empty($keyvalueLists)) {
			foreach($keyvalueLists as $element) {
				$display = $element->value;
				// $element->customType == 'textbox'
				if ($element->customType == 'mask') {
					$display = '<img src="' . $element->value . '" width="100"  />';
				}
				$item_data[] = [
					'key' => __($element->label),
					'value' => $element->value,
					'display' => $display
				];
				
			}
		}
	}

    return $item_data;
}
add_filter('woocommerce_get_item_data', 'dastomize_get_item_data', 10, 2);

function dastomize_update_cart($checkout) {
	$cart = WC()->cart->get_cart() ;
	foreach ( $cart as $cart_item_key => &$values ) {
		if (!empty($values['personalized_preview_url'])) {
			$values['variation']['personalized_preview_url'] = $values['personalized_preview_url'];
		}
	};
	WC()->cart->set_cart_contents($cart);
	WC()->cart->maybe_set_cart_cookies();
}
add_action('woocommerce_before_checkout_form', 'dastomize_update_cart');

/**
 * Add custom meta to order
 */
function dastomize_checkout_create_order_line_item( $item, $cart_item_key, $values, $order ) {
	if( isset( $values['personalized_json_url'] ) ) {
		$item->add_meta_data(__( 'personalized_preview', 'plugin-personalized-review'), $values['personalized_preview_url'], true);
		$item->add_meta_data(__( 'personalized_store', 'plugin-personalized-store'), $values['personalized_store'], true);
		$item->add_meta_data(__( 'personalized_product', 'plugin-personalized-product'), $values['personalized_product'], true);
		$item->add_meta_data(__( 'personalized_json_url', 'plugin-personalized-json-url'), $values['personalized_json_url'], true);
		$item->add_meta_data(__( 'personalized_custom_variant', 'plugin-personalized-custom-variant'), $values['personalized_custom_variant'], true);
	}

	if( isset( $values['personalized_kv'] ) ) {
		$item->add_meta_data(__( 'personalized_kv', 'plugin-personalized-kv'), $values['personalized_kv'], true);
	}
}
add_action( 'woocommerce_checkout_create_order_line_item', 'dastomize_checkout_create_order_line_item', 10, 4 );

add_action('woocommerce_checkout_update_order_meta', function( $order_id, $posted ) {
	require_once realpath(dirname(__FILE__)) . '/../services/product.php';

	$data = [
		'billing' => [
			'first_name' => $posted['billing_first_name'],
			'last_name' => $posted['billing_last_name'],
			'email' => $posted['billing_email']
		],
		'order_id' => $order_id,
	];

	$order = wc_get_order($order_id);
	$inApp = false;
	foreach ($order->get_items() as $item_id => $item_obj) {
		$product = $item_obj->get_product();
		$product_id = ($product->get_parent_id()) ? $product->get_parent_id() : $product->get_id();
		if ($item_obj->get_meta('pa_jewelry-style')) {
			$shineon_design_url = get_post_meta( $product_id, '_shineon_design_url', true );
			wc_update_order_item_meta($item_id, __( '_shineon_design_url', 'plugin-shineon-design-url'), $shineon_design_url);
		}

		$storeId = (int) wc_get_order_item_meta($item_id, __( 'personalized_store', 'plugin-personalized-store'), true);
		$productId = (int) wc_get_order_item_meta($item_id, __( 'personalized_product', 'plugin-personalized-product'), true);
		$jsonUrl = wc_get_order_item_meta($item_id, __( 'personalized_json_url', 'plugin-personalized-json-url'), true);
		$previewUrl = wc_get_order_item_meta($item_id, __( 'personalized_preview', 'plugin-personalized-preview'), true);
		$customVariant = wc_get_order_item_meta($item_id, __( 'personalized_custom_variant', 'plugin-personalized-custom-variant'), true);
		$kv = wc_get_order_item_meta($item_id, __( 'personalized_kv', 'plugin-personalized-kv'), true);

		// $isSimpleProduct = (int)$product->is_type( 'simple' );
		if ($isVariableProduct = (int)$product->is_type( 'variable' )) {
			$product = wc_get_product($item_obj['variation_id']);
		}
		$image_url = '';
		if ($product->get_image_id()) {
			$image_id  = $product->get_image_id();
			$image_url = wp_get_attachment_image_url( $image_id, 'full' );
		}

		wc_update_order_item_meta($item_id, __( '_marketing_product_preview_image', 'plugin-marketing-product-preview-image'), $image_url);

		if ($previewUrl) {
			$htmlPreview = "<img src='" . $previewUrl . "' width='150' />";
			wc_update_order_item_meta($item_id, __( 'Your Personalized Preview', 'plugin-your-personalized-review'), $htmlPreview);
			wc_update_order_item_meta($item_id, __( '_app_personalized_preview_url', 'plugin-personalized-review-url'), $previewUrl);
			wc_update_order_item_meta($item_id, __( '_marketing_product_preview_image', 'plugin-marketing-product-preview-image'), $previewUrl);
		}
		wc_update_order_item_meta($item_id, __( '_app_personalized_product_permalink', 'plugin-personalized-product-permalink'), $product->get_permalink());

		if ($kv) {
			wc_update_order_item_meta($item_id, __( '_app_personalized_kv', 'plugin-personalized-kv'), $kv);
		}

		if ($storeId && $productId) {
			$inApp = true;

			wc_update_order_item_meta($item_id, __( '_app_personalized_store', 'plugin-personalized-store'), $storeId);
			wc_update_order_item_meta($item_id, __( '_app_personalized_product', 'plugin-personalized-product'), $productId);
			wc_update_order_item_meta($item_id, __( '_Custom Variant', 'plugin-personalized-custom-variant'), $customVariant);

			$params = $data + [
				'jsonUrl' => !empty($jsonUrl) ? $jsonUrl : '',
				'previewUrl' => !empty($previewUrl) ? $previewUrl : ''
			];

			try {
				$personalizeData = dastomize_get_personalize_image($storeId, $productId, $params);
				if (!empty($personalizeData) && !empty($personalizeData['uuid'])) {
					$apiToken = get_option('settings_page_api_token');
					$fullUrl = $personalizeData['full_url'] . '?token=' . $apiToken;
					$htmlFinal = "<a href='" . $fullUrl . "' target='_blank'>" . $personalizeData['full_url'] . "</a>";
					wc_update_order_item_meta($item_id, __( '_Final Design URL', 'plugin-personalized'), $htmlFinal);
					wc_update_order_item_meta($item_id, __( '_Final Design', 'plugin-personalized'), $personalizeData['full_url']);
					wc_update_order_item_meta($item_id, __( '_app_personalized_uuid', 'plugin-personalized-uuid'), $personalizeData['uuid']);
					if (isset($personalizeData['client_images'])) {
						wc_update_order_item_meta($item_id, __( '_app_personalized_client_images', 'plugin-personalized-client-images'), $personalizeData['client_images']);
					}
				}
			} catch (\Exception $ex) {
				dastomize_write_log_error('[woocommerce_checkout_update_order_meta] Error: ' . $ex->getMessage());
			}
		}

		wc_update_order_item_meta($item_id, __( '_app_personalized_variant_image_url', 'plugin-personalized-variant-image-url'), $image_url);
		wc_update_order_item_meta($item_id, __( '_app_personalized_json_url', 'plugin-personalized-json-url'), !empty($jsonUrl) ? $jsonUrl : '');


		wc_delete_order_item_meta($item_id, __( 'personalized_store', 'plugin-personalized-store'));
		wc_delete_order_item_meta($item_id, __( 'personalized_product', 'plugin-personalized-product'));
		wc_delete_order_item_meta($item_id, __( 'personalized_json_url', 'plugin-personalized-json-url'));
		wc_delete_order_item_meta($item_id, __( 'personalized_preview', 'plugin-personalized-preview'));
		wc_delete_order_item_meta($item_id, __( 'personalized_custom_variant', 'plugin-personalized-custom-variant'));
		wc_delete_order_item_meta($item_id, __( 'personalized_kv', 'plugin-personalized-kv'));
		wc_delete_order_item_meta($item_id, 'personalized_preview_url');
	}
	$order->update_meta_data( '_personalize_app', $inApp ? 'yes' : 'no' );
    $order->save();
} , 10, 2);

function dastomize_hidden_order_itemmeta($arr) {
	$arr[] = '_app_personalized_store';
	$arr[] = '_app_personalized_product';
	$arr[] = '_app_personalized_uuid';
	$arr[] = '_app_personalized_preview_url';
	$arr[] = '_app_personalized_json_url';
	$arr[] = '_app_personalized_variant_image_url';
	$arr[] = '_app_personalized_client_images';
	$arr[] = '_app_personalized_kv';
	$arr[] = '_marketing_product_preview_image';
	$arr[] = '_app_personalized_product_permalink';
	$arr[] = '_Final Design';
	$arr[] = '_shineon_design_url';
    $arr[] = '_Custom Variant';

    return $arr;
}
add_filter('woocommerce_hidden_order_itemmeta', 'dastomize_hidden_order_itemmeta', 10, 1);

function dastomize_clear_storage( $order ) {
	$order_items = $order->get_items();

	$ids = [];
	foreach ($order_items as $item_id => $order_item) {
		$product = $order_item->get_product();
		$ids[] = $product->get_parent_id();
	}
	$strId = implode(',', $ids);
	wp_enqueue_script('script_woo', DASTOMIZE_URL . 'assets/script_woo.js', array(), date('YmdHi'));
	wp_enqueue_script('script_doa_storage', DASTOMIZE_URL . 'assets/index_db.js', array('jquery'), date('YmdH'), true );
	echo "<script>
	jQuery(function($){
		dastomize_js_plugin_personalized_clear_storage('$strId');
	});</script>";
}
add_action( 'woocommerce_order_details_after_order_table_items', 'dastomize_clear_storage', 10, 2 );
