<?php
if ( !function_exists('dastomize_get_personalize_image')) {
    function dastomize_get_personalize_image($sId, $pId, $data)
    {
        $env = dastomize_env('DAST_APP_ENV', 'prod');
        if ($env == 'local') {
            return [
                'uuid' => 'uuid',
                'full_url' => 'full_url',
                'client_images' => [
                    "https://storage.googleapis.com/devpersonalized/resource/customers/temp/SxwFzjtY6S7QPgTXOGLN20210408050427.jpeg",
                    "https://storage.googleapis.com/devpersonalized/resource/customers/temp/SnniijLJ6P6hRtzGpg4120210408050423.jpeg"
                ],
                'data' => $data
            ];
        }

        $webURL = DASTOMIZE_APP_URL;
        
        $apiToken = get_option('settings_page_api_token');
        $remoteUrl = sprintf($webURL . DASTOMIZE_APP_API_PERSONALIZED_GENERATE_FINALDESIGN, $sId, $pId);
        $args = array(
            'timeout'     => 300,
            'headers'   => array(
                'Authorization' => 'Bearer ' . $apiToken,
            ),
            'method'      => 'POST',
            'body'        => $data
        );
        $response = wp_remote_post($remoteUrl, $args);
        $body = json_decode($response['body'], true);
        return $body['data'];
    }
}