<?php
if ( !function_exists('dastomize_get_product_settings')) {
  function dastomize_get_product_settings($sId, $type='product_page')
  {
    $env = dastomize_env('DAST_APP_ENV', 'prod');
    if ($env === 'local') {
      return [
          "id" => 2,
          "store_id" => 1,
          "type" => "product_page",
          "metadata" => [
              'buttons' => [
                'dastomize_button_id_personalize' => [
                  'text' => 'Personalize',
                  'text_original' => 'Personalize',
                  'style' => [
                    'font-weight' => 700,
                    'color' => '#fff',
                    'background-color' => '#FFA41C',
                    'border-style' => 'solid',
                    'border-color' => '#f07c63',
                    'border-width' => '1px',
                    'font-size' => NULL,
                    'border-radius' => '4px',
                    'text-transform' => 'uppercase',
                    'width' => NULL,
                    'height' => NULL,
                  ],
                  'hover' => [
                    'background-color' => '#FA8900',
                    'border-color' => '#FA8900',
                    'color' => '#fff',
                  ],
                ],
                'dastomize_button_id_preview_your_personalization' => [
                  'text' => 'Preview Your Personalization',
                  'text_original' => 'Preview Your Personalization',
                  'style' => [
                    'font-weight' => 700,
                    'color' => '#4380f0',
                    'background-color' => '#FFF',
                    'border-style' => 'solid',
                    'border-color' => '#4380f0',
                    'border-width' => '1px',
                    'font-size' => NULL,
                    'border-radius' => '4px',
                    'text-transform' => 'capitalize',
                    'width' => NULL,
                    'height' => NULL,
                  ],
                  'hover' => [
                    'background-color' => '#4380f0',
                    'border-color' => '#4380f0',
                    'color' => '#fff',
                  ],
                ],
              ],
              'other_buttons' => [
                'edit_design' => [
                  'text' => 'Edit Design',
                  'text_original' => 'Edit Design',
                  'style' => [
                    'color' => '#fff',
                    'background-color' => '#007bff',
                    'border-color' => '#007bff',
                  ],
                ],
                'finish_and_preview' => [
                  'text' => 'Finish & Preview',
                  'text_original' => 'Finish & Preview',
                  'style' => [
                    'color' => '#fff',
                    'background-color' => '#007bff',
                    'border-color' => '#007bff',
                  ],
                ],
                'no_make_to_changes' => [
                  'text' => 'NO, I NEED TO MAKE CHANGES',
                  'text_original' => 'NO, I NEED TO MAKE CHANGES',
                  'style' => [
                    'color' => '#fff',
                    'background-color' => '#007bff',
                    'border-color' => '#007bff',
                  ],
                ],
                'yes_everything_perfect' => [
                  'text' => 'YES, EVERYTHING IS PERFECT!',
                  'text_original' => 'YES, EVERYTHING IS PERFECT!',
                  'style' => [
                    'color' => '#fff',
                    'background-color' => '#007bff',
                    'border-color' => '#007bff',
                  ],
                ],
                'upload_photos' => [
                  'text' => 'Upload Photos',
                  'text_original' => 'Upload Photos',
                  'style' => [
                    'color' => '#fff',
                    'background-color' => '#007bff',
                    'border-color' => '#007bff',
                  ],
                ],
                'autofill' => [
                  'text' => 'Autofill',
                  'text_original' => 'Autofill',
                  'style' => [
                    'color' => '#fff',
                    'background-color' => '#007bff',
                    'border-color' => '#007bff',
                  ],
                ],
                'done_editing' => [
                  'text' => 'Done Editing',
                  'text_original' => 'Done Editing',
                  'style' => [
                    'color' => '#fff',
                    'background-color' => '#007bff',
                    'border-color' => '#007bff',
                  ],
                ],
                'change_photo' => [
                  'text' => 'Change Photo',
                  'text_original' => 'Change Photo',
                  'style' => [
                    'color' => '#fff',
                    'background-color' => '#007bff',
                    'border-color' => '#007bff',
                  ],
                ],
                'preview_text' => [
                  'text' => 'Preview Text',
                  'text_original' => 'Preview Text',
                  'style' => [
                    'color' => '#fff',
                    'background-color' => '#007bff',
                    'border-color' => '#007bff',
                  ],
                ],
                'apply_star_map' => [
                  'text' => 'Apply Star Map',
                  'text_original' => 'Apply Star Map',
                  'style' => [
                    'color' => '#fff',
                    'background-color' => '#007bff',
                    'border-color' => '#007bff',
                  ],
                ],
                'apply_map' => [
                  'text' => 'Apply Map',
                  'text_original' => 'Apply Map',
                  'style' => [
                    'color' => '#fff',
                    'background-color' => '#007bff',
                    'border-color' => '#007bff',
                  ],
                ],
                'start_new' => [
                  'text' => 'Start New',
                  'text_original' => 'Start New',
                  'style' => [
                    'color' => '#fff',
                    'background-color' => '#007bff',
                    'border-color' => '#007bff',
                  ],
                ],
                'continue_editing' => [
                  'text' => 'Continue Editing',
                  'text_original' => 'Continue Editing',
                  'style' => [
                    'color' => '#fff',
                    'background-color' => '#007bff',
                    'border-color' => '#007bff',
                  ],
                ],
              ],
              'descriptions' => [
                'reset_message_warning' => [
                  'title' => 'Reset Message Warning',
                  'text' => 'Do you really want reset all your setting?',
                  'text_original' => 'Do you really want reset all your setting?',
                ],
                'finish_and_preview_confirmation' => [
                  'title' => 'Finish & Preview Confirmation',
                  'text' => 'Please double check that all personalized information is correct (Images, spelling, etc.). Once your photo is submitted, we cannot guarantee that changes can be made. Any changes made are subject to a reprocessing fee.',
                  'text_original' => 'Please double check that all personalized information is correct (Images, spelling, etc.). Once your photo is submitted, we cannot guarantee that changes can be made. Any changes made are subject to a reprocessing fee.',
                ],
                'autosaved_warning' => [
                  'title' => 'Autosaved Warning',
                  'text' => 'We found an autosaved project from your last session. Would you like to continue editing this project or start a new one?',
                  'text_original' => 'We found an autosaved project from your last session. Would you like to continue editing this project or start a new one?',
                ],
              ],
              "label" => [
                "color" => "#27DF00",
                "font-size" => "14px",
                "font-weight" => 700,
                "line-height" => 1.5
              ],
              "watermarkUrl" => "",
              "removeBgApiKey" => "",
          ]
      ];
    }

    $webURL = DASTOMIZE_APP_URL;

    $apiToken = get_option('settings_page_api_token');

    $remoteUrl = sprintf($webURL . DASTOMIZE_APP_API_PRODUCT_SETTINGS, $sId, $type);

    $args = array(
      'timeout'     => 300,
      'headers'   => array(
        'Authorization' => 'Bearer ' . $apiToken,
      ),
      'method'      => 'GET',
    );

    $key = "dastomize_product_${sId}_settings_$type";
    if (false === ($data = get_transient($key))) {
      $response = wp_remote_get($remoteUrl, $args);
      if (!is_wp_error($response)) {
        $body = json_decode($response['body'], true);

        set_transient($key, $body['data'], 60 * 1);

        return $body['data'];
      } else {
        return [];
      }
    }
    return $data;
  }
}

if ( !function_exists('dastomize_get_button')) {
  function dastomize_get_button($data, $buttonId) {
    $style = '';
    $style .= '<style id=' . $buttonId . ' type="text/css">';
    $style .= '.' . $buttonId . '{'. dastomize_get_button_style($data, $buttonId) .'}';
    $style .= '.' . $buttonId . ':hover{'. dastomize_get_button_hover($data, $buttonId) .'}';
    $style .= '</style>';
    return $style;
  }
}

if ( !function_exists('dastomize_get_button_style')) {
  function dastomize_get_button_style($data, $buttonId) {
    if (isset($data["metadata"]["buttons"][$buttonId]["style"])) {
      $styles = $data["metadata"]["buttons"][$buttonId]["style"];

      $res = [];
      foreach ($styles as $key => $style) {
        $res[] = $style ? "$key: $style !important" : null;
      }
      return implode(';', $res);
    }
    return '';
  }
}

if ( !function_exists('dastomize_get_button_hover')) {
  function dastomize_get_button_hover($data, $buttonId) {
    if (isset($data["metadata"]["buttons"][$buttonId]["hover"])) {
      $styles = $data["metadata"]["buttons"][$buttonId]["hover"];

      $res = [];
      foreach ($styles as $key => $style) {
        $res[] = "$key: $style !important";
      }

      return implode(';', $res);
    }
    return '';
  }
}

if ( !function_exists('dastomize_get_button_text')) {
  function dastomize_get_button_text($data, $buttonId) {
    if (!isset($data["metadata"]["buttons"][$buttonId]["text"])) return "";
    return $data["metadata"]["buttons"][$buttonId]["text"];
  }
}
